{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-3">
                            <div class="card">
                                <div class="card-body d-flex justify-content-center">
                                    <img class="card-img-top p-5" src="{% static 'dist/img/instalacion.svg' %}"
                                        style="height: 385px; width: 300px;" alt="">
                                </div>
                            </div>
                        </div>

                        <div class="col-9">
                            <form method="post">
                                {% csrf_token %}

                                <!-- Input addon -->
                                <!-- card -->
                                <div class="card">

                                    {% if obj %}
                                    <div class="card-warning">
                                        {% else %}
                                        <div class="card-success">
                                            {% endif %}

                                            <div class="card-header">
                                                <h3 class="card-title text-uppercase">Instalaciones/Reconexiones</h3>
                                            </div>

                                            <!-- card-body -->
                                            <div class="card-body">


                                                <!-- fila 1 -->
                                                <div class="row mt-2">
                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_estatus" class="text-sm text-uppercase text-black-50"
                                                            style="font-family: Arial, Helvetica, sans-serif;">ACCIÓN: <i class="fa fa-asterisk badge-warning"></i></label>
                                                            {{ form.accion }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_estatus" class="text-sm text-uppercase text-black-50"
                                                            style="font-family: Arial, Helvetica, sans-serif;">INDICAR ESTATUS: <i class="fa fa-asterisk badge-warning"></i></label>
                                                            {{ form.estatus }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_cliente"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">CLIENTE:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                            {{ form.cliente }}
                                                        </div>
                                                    </div>
                                                                                                         
                                                </div>

                                                <!-- fila 2 -->
                                                <div class="row mt-2">
                                                    <div class="col-4">
                                                        <!-- Date -->
                                                        <div class="form-group">
                                                            <label for="id_fecha" class="text-sm text-uppercase text-black-50"
                                                            style="font-family: Arial, Helvetica, sans-serif;">Fecha: <i class="fa fa-asterisk badge-warning"></i></label>
                                                            <!-- {{ form.fecha_de_pago }} -->
                                                            <div class="input-group date" id="reservationdate" data-target-input="nearest">
                                                            <input type="text" name="fecha" id="id_fecha"
                                                                class="form-control datetimepicker-input" autocomplete="off" value="{{ obj.fecha|date:'d/m/Y' }}"
                                                                data-target="#reservationdate" required />
                                                                <div class="input-group-append" data-target="#reservationdate" data-toggle="datetimepicker">
                                                                    <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <!-- <div class="form-group">
                                                            <label for="id_fecha"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">{{ form.fecha.label }}:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                            {{ form.fecha }}
                                                        </div> -->
  
                                                    </div> 

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_forma_de_pago"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">FORMA
                                                                DE PAGO: <i class="fa fa-asterisk badge-warning"></i></label>
                                                                {{ form.forma_de_pago }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_monto_recibido"
                                                                class="text-sm text-uppercase font-weight-lighter"
                                                                style="font-family: Arial, Helvetica, sans-serif;"><i class="fa fa-money-bill"></i> MONTO
                                                                RECIBIDO:</label>
                                                                {{ form.monto_recibido }}
                                                        </div>
                                                    </div>
                                                                                                        
                                                </div>

                                                <div class="row mt-2">
                                                    <div class="col-2"></div>

                                                    <div class="col-8">
                                                        <div class="form-group">
                                                            <label for="id_notas"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">NOTAS:
                                                            </label>
                                                            {{ form.notas }}
                                                        </div>
                                                    </div>

                                                    <div class="col-2"></div>
                                                </div>

                                                <div class="dropdown-divider"></div>
                                                <div class="row">
                                                    <div class="col-2"></div>
                                                    <div class="col-4">
                                                        <button type="submit" class="btn btn-success btn-block"><i
                                                                class="fa fa-save"></i><span>
                                                                Guardar</span></button>
                                                    </div>

                                                    <div class="col-4">
                                                        <a href="{% url 'app_clientes:instalaciones_list' %}"
                                                            class="btn btn-info btn-block"><i class="fas fa-window-close"></i><span> Cancelar</span>
                                                        </a>
                                                    </div>
                                                    <div class="col-2"></div>
                                                </div>

                                            </div>
                                            <!-- /.card-body -->
                                        </div>
                                        <!-- /.card-header -->
                                    </div>
                                </div>
                            </div>
                        <!-- /.card -->
                        </form>
                        <!-- ./form -->
                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}

{% block js_page %}
<!-- DateTimePicker -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.full.min.js"
  integrity="sha256-FEqEelWI3WouFOo2VWP/uJfs1y8KJ++FLh2Lbqc8SJk=" crossorigin="anonymous"></script>

<!-- idioma español de Datetimepicker() -->
<script>
  $(document).ready(function () {
    jQuery.datetimepicker.setLocale('es');
  });
</script>

<script>
  //Initialize Select2 Elements
  // carga del DOM
  $(function () {
    //Initialize Select2 Elements
    $('#id_cliente').select2()

    //Initialize Select2 Elements
    $('#id_cliente').select2({
      theme: 'bootstrap4'
    }) 
    
    $("#id_fecha").datetimepicker({
      format: 'd/m/Y',
      timepicker: false
    });

  });
</script>
{% endblock js_page %}